org.eclipse.ease

## Interface IHeaderParser

All Known Implementing Classes:
  AbstractHeaderParser, JavaScriptHeaderParser, PythonHeaderParser

    public interface IHeaderParser

Parser interface for source code parsers to extract script keywords. The parser should fetch the very first comment in a source stream and extract key:value pairs. Where keys are single words followed by a ':'. The rest of the line should be treated as value.

### Method Summary

Methods
`String` `createHeader(Map<String,String> headerContent)` Create a script header for given keywords.
`Map<String,String>` `parse(InputStream stream)` Parse stream for key:value pairs.

### Method Detail

#### parse

    Map<String,String> parse(InputStream stream)

Parse stream for key:value pairs.

Parameters:
  `stream` - stream to parse
Returns:
  map containing keywords or empty map

#### createHeader

    String createHeader(Map<String,String> headerContent)

Create a script header for given keywords.

Parameters:
  `headerContent` - key:value pairs to be stored
Returns:
  String representation of header